IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_REPLACEPLANLOG') 
CREATE TABLE T_MPDM_REPLACEPLANLOG (
	FID BIGINT NOT NULL DEFAULT 0,
	FBILLNO VARCHAR(30) NOT NULL DEFAULT ' ',
	FBILLSTATUS VARCHAR(50) NOT NULL DEFAULT ' ',
	FCREATORID BIGINT NOT NULL DEFAULT 0,
	FMODIFIERID BIGINT NOT NULL DEFAULT 0,
	FAUDITORID BIGINT NOT NULL DEFAULT 0,
	FAUDITDATE DATETIME ,
	FMODIFYTIME DATETIME ,
	FCREATETIME DATETIME ,
	FORGID BIGINT NOT NULL DEFAULT 0,
	FRUNSTATUS VARCHAR(50) NOT NULL DEFAULT ' ', 
	FUPDATEMODE VARCHAR(50) NOT NULL DEFAULT ' ',
	FCALCULATEPRO DECIMAL(23,2) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_REPPLANLOGENTRY') 
CREATE TABLE T_MPDM_REPPLANLOGENTRY (
	FID BIGINT NOT NULL DEFAULT 0,
	FENTRYID BIGINT NOT NULL DEFAULT 0,
	FSEQ BIGINT NOT NULL DEFAULT 0,
	FMODIFIERFIELD BIGINT NOT NULL DEFAULT 0,
	FMODIFYDATEFIELD DATETIME NULL,
	FREPLACEPLANID BIGINT NOT NULL DEFAULT 0,
	FUPDATETYPE VARCHAR(50) NOT NULL DEFAULT ' ',
	FBOMID BIGINT NOT NULL DEFAULT 0,
	FBOMENTRYID BIGINT NOT NULL DEFAULT 0,
	FBOMNUMBER VARCHAR(80) NOT NULL DEFAULT ' ',
	FREPLACEGROUP VARCHAR(80) NOT NULL DEFAULT ' ',
	FBOMENTRYSEQ BIGINT NOT NULL DEFAULT 0,
	FENTRYMATERIALID BIGINT NOT NULL DEFAULT 0,
	FBEGINDATE DATETIME ,
	FENDDATE DATETIME ,
	FEXECTIMELONG DECIMAL(23,2) DEFAULT 0 NOT NULL,
	FENTRYEXECSTATUS VARCHAR(50) NOT NULL DEFAULT ' ',
	FDETIALLOG VARCHAR(255) NOT NULL DEFAULT ' ',
	FDETIALLOG_TAG NCLOB
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_REPLACEPLANENTRY_S') 
CREATE TABLE T_MPDM_REPLACEPLANENTRY_S (
	FENTRYID BIGINT NOT NULL DEFAULT 0,
	FDETAILID BIGINT NOT NULL DEFAULT 0,
	FSEQ BIGINT NOT NULL DEFAULT 0,
	FBATCHSTARTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FBATCHENDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FISSTEPFIX CHAR(1) DEFAULT '0' NOT NULL,
	FQTYNUMERATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FQTYDENOMINATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FSCRAPRATE DECIMAL(23,4) DEFAULT 0 NOT NULL,
	FQTYENTRYKEY VARCHAR(50) NOT NULL DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_REPLACEPLANENTRY_R' AND KSQL_COL_NAME ='FREPQTYTYPE') 
ALTER TABLE T_MPDM_REPLACEPLANENTRY_R ADD (FREPQTYTYPE VARCHAR(50) NOT NULL DEFAULT 'A' );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_REPLACEPLANENTRY_R' AND KSQL_COL_NAME ='FREPFIXSCRAP') 
ALTER TABLE T_MPDM_REPLACEPLANENTRY_R ADD (FREPFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_REPLACEPLANENTRY_R' AND KSQL_COL_NAME ='FREPSCRAPRATE') 
ALTER TABLE T_MPDM_REPLACEPLANENTRY_R ADD (FREPSCRAPRATE DECIMAL(23,4) DEFAULT 0 NOT NULL );

	


